Set User Status
- Print
- DarkLight
- PDF
Set User Status
- Print
- DarkLight
- PDF
Article summary
Did you find this summary helpful?
Thank you for your feedback
Post
/api/v1/users.setStatus
Permission required, if the setting AllowUserStatusMessageChange is enabled:
edit-other-user-info
Changelog
| Version | Description |
|---|---|
| 1.2.0 | Added |
Header parameters
X-User-Id
stringRequired
The authenticated user ID.
ExamplerbAXPnMktTFbNpwtJ
X-Auth-Token
stringRequired
The authenticated user token.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
Body parameters
Example 1
{
"message": "My status update",
"status": "online",
"userId": "zXuq7SvPKYbzYmfpo",
"username": "bob"
}object
message
string Required
The user's status message.
ExampleMy status update
status
string
The user's status like online, away, busy, or offline.
Exampleonline
userId
string
The user ID for which to set the status.
ExamplezXuq7SvPKYbzYmfpo
username
string
The user name for which to set the status.
Examplebob
Responses
200
OK
Success
{
"success": true
}object
success
boolean
401
Unauthorized
Authorization Error
{
"status": "error",
"message": "You must be logged in to do this."
}object
status
string
message
string
Was this article helpful?